Log in or register to post comments

Trouble while executing ImageTarget running on Linux SUSE

October 23, 2012 - 10:12pm #1

 

I'm using Linux SUSE and I'm trying to run ImageTarget however it gets me the next error:

In file included from jni/ImageTargets.cpp:15:0:

/home/dpalacios/Android/android-ndk-r8b/platforms/android-8/arch-arm/usr/include/jni.h:592:13: note: the mangling of 'va_list' has changed in GCC 4.4

 

I assume there's a compatibility error with GCC because I have gcc (SUSE Linux) 4.6.2, so, how can I fix this problem? 

Trouble while executing ImageTarget running on Linux SUSE

October 24, 2012 - 12:35am #2

Can you try adding the following option to your CFLAGS in Android.mk:

-Wno-psabi

 

Log in or register to post comments